package com.zd.exam.service.impl;

import com.zd.common.core.utils.DateUtils;
import com.zd.common.core.utils.SecurityUtils;
import com.zd.common.security.utils.SaveUtil;
import com.zd.exam.domain.ElConvertRecord;
import com.zd.exam.mapper.ElConvertRecordMapper;
import com.zd.exam.service.IElConvertRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 考试系统奖励分换算记录Service业务层处理
 *
 * @author liubo
 * @date 2021-12-16
 */
@Service
public class ElConvertRecordServiceImpl implements IElConvertRecordService {
    @Autowired
    private ElConvertRecordMapper elConvertRecordMapper;

    /**
     * 查询考试系统奖励分换算记录
     *
     * @param id 考试系统奖励分换算记录主键
     * @return 考试系统奖励分换算记录
     */
    @Override
    public ElConvertRecord selectElConvertRecordById(Long id) {
        return elConvertRecordMapper.selectElConvertRecordById(id);
    }

    /**
     * 查询考试系统奖励分换算记录列表
     *
     * @param elConvertRecord 考试系统奖励分换算记录
     * @return 考试系统奖励分换算记录
     */
    @Override
    public List<ElConvertRecord> selectElConvertRecordList(ElConvertRecord elConvertRecord) {
        return elConvertRecordMapper.selectElConvertRecordList(elConvertRecord);
    }

    /**
     * 新增考试系统奖励分换算记录
     *
     * @param elConvertRecord 考试系统奖励分换算记录
     * @return 结果
     */
    @Override
    public int insertElConvertRecord(ElConvertRecord elConvertRecord) {
        //设置其他公共字段
        SaveUtil.setCommonAttr(elConvertRecord);
        return elConvertRecordMapper.insertElConvertRecord(elConvertRecord);
    }

    /**
     * 修改考试系统奖励分换算记录
     *
     * @param elConvertRecord 考试系统奖励分换算记录
     * @return 结果
     */
    @Override
    public int updateElConvertRecord(ElConvertRecord elConvertRecord) {
        elConvertRecord.setUpdateTime(DateUtils.getNowDate());
        elConvertRecord.setUpdateBy("系统操作");
        return elConvertRecordMapper.updateElConvertRecord(elConvertRecord);
    }

    /**
     * 批量删除考试系统奖励分换算记录
     *
     * @param ids 需要删除的考试系统奖励分换算记录主键
     * @return 结果
     */
    @Override
    public int deleteElConvertRecordByIds(Long[] ids) {
        return elConvertRecordMapper.deleteElConvertRecordByIds(ids);
    }

    /**
     * 删除考试系统奖励分换算记录信息
     *
     * @param id 考试系统奖励分换算记录主键
     * @return 结果
     */
    @Override
    public int deleteElConvertRecordById(Long id) {
        return elConvertRecordMapper.deleteElConvertRecordById(id);
    }
}
